export declare class UniqArray<T> {
    items: T[];
    private readonly equalsFunction;
    get length(): number;
    constructor(items: T[], equalsFunction: (a: T, b: T) => boolean);
    get(loadedIndex: number): T | undefined;
    clear(): void;
    push(...newItems: T[]): number;
    remove(...items: T[]): T[];
}
